- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# avi_poolgroupdeploymentpolicy – Module for setup of PoolGroupDeploymentPolicy Avi RESTful Object

New in version 2.4.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is used to configure PoolGroupDeploymentPolicy object
- more examples at https://github.com/avinetworks/devops

## Requirements

The below requirements are needed on the host that executes this module.

- avisdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_context dictionary added in 2.5 |  | Avi API context that includes current session ID and CSRF Token. This allows user to perform single login and re-use the session.
api_version string | Default: "16.4.4" | Avi API version of to use for Avi API and objects.
auto_disable_old_prod_pools boolean | Choices: no yes | It will automatically disable old production pools once there is a new production candidate. Default value when not specified in API or module is interpreted by Avi Controller as True.
avi_api_patch_op - added in 2.5 | Choices: add replace delete | Patch operation to use when using avi_api_update_method as patch.
avi_api_update_method - added in 2.5 | Choices: put ← patch | Default method for object update is HTTP PUT. Setting to patch will override that behavior to use HTTP PATCH.
avi_credentials dictionary added in 2.5 |  | Avi Credentials dictionary which can be used in lieu of enumerating Avi Controller login details.
| api_version - | Default: "16.4.4" | Avi controller version
| controller - |  | Avi controller IP or SQDN
| csrftoken - |  | Avi controller API csrftoken to reuse existing session with session id
| password - |  | Avi controller password
| port - |  | Avi controller port
| session_id - |  | Avi controller API session id to reuse existing session with csrftoken
| tenant - | Default: "admin" | Avi controller tenant
| tenant_uuid - |  | Avi controller tenant UUID
| timeout - | Default: 300 | Avi controller request timeout
| token - |  | Avi controller API token
| username - |  | Avi controller username
avi_disable_session_cache_as_fact boolean added in 2.6 | Choices: no yes | It disables avi session information to be cached as a fact.
controller string | Default: "" | IP address or hostname of the controller. The default value is the environment variable `AVI_CONTROLLER`.
description - |  | User defined description for the object.
evaluation_duration - |  | Duration of evaluation period for automatic deployment. Allowed values are 60-86400. Default value when not specified in API or module is interpreted by Avi Controller as 300.
name - / required |  | The name of the pool group deployment policy.
password string | Default: "" | Password of Avi user in Avi controller. The default value is the environment variable `AVI_PASSWORD`.
rules - |  | List of pgdeploymentrule.
scheme - |  | Deployment scheme. Enum options - BLUE_GREEN, CANARY. Default value when not specified in API or module is interpreted by Avi Controller as BLUE_GREEN.
state - | Choices: absent present ← | The state that should be applied on the entity.
target_test_traffic_ratio - |  | Target traffic ratio before pool is made production. Allowed values are 1-100. Default value when not specified in API or module is interpreted by Avi Controller as 100.
tenant string | Default: "admin" | Name of tenant used for all Avi API calls and context of object.
tenant_ref - |  | It is a reference to an object of type tenant.
tenant_uuid string | Default: "" | UUID of tenant used for all Avi API calls and context of object.
test_traffic_ratio_rampup - |  | Ratio of the traffic that is sent to the pool under test. Test ratio of 100 means blue green. Allowed values are 1-100. Default value when not specified in API or module is interpreted by Avi Controller as 100.
url - |  | Avi controller URL of the object.
username string | Default: "" | Username used for accessing Avi controller. The default value is the environment variable `AVI_USERNAME`.
uuid - |  | Uuid of the pool group deployment policy.
webhook_ref - |  | Webhook configured with url that avi controller will pass back information about pool group, old and new pool information and current deployment rule results. It is a reference to an object of type webhook. Field introduced in 17.1.1.

## Notes

Note

- For more information on using Ansible to manage Avi Network devices see https://www.ansible.com/ansible-avi-networks.

## Examples

    - name: Example to create PoolGroupDeploymentPolicy object
      avi_poolgroupdeploymentpolicy:
        controller: 10.10.25.42
        username: admin
        password: something
        state: present
        name: sample_poolgroupdeploymentpolicy

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
obj dictionary | success, changed | PoolGroupDeploymentPolicy (api/poolgroupdeploymentpolicy) object

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gaurav Rastogi (@grastogi23) <grastogi@avinetworks.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.